Click or drag to resize

SurfaceCreateRollingBallFillet Method (Surface, Point2d, Surface, Point2d, Double, Double)

Constructs a rolling ball fillet between two surfaces.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Surface[] CreateRollingBallFillet(
	Surface surfaceA,
	Point2d uvA,
	Surface surfaceB,
	Point2d uvB,
	double radius,
	double tolerance
)

Parameters

surfaceA
Type: Rhino.GeometrySurface
A first surface.
uvA
Type: Rhino.GeometryPoint2d
A point in the parameter space of FaceA near where the fillet is expected to hit the surface.
surfaceB
Type: Rhino.GeometrySurface
A second surface.
uvB
Type: Rhino.GeometryPoint2d
A point in the parameter space of FaceB near where the fillet is expected to hit the surface.
radius
Type: SystemDouble
A radius value.
tolerance
Type: SystemDouble
A tolerance value used for approximating and intersecting offset surfaces.

Return Value

Type: Surface
A new array of rolling ball fillet surfaces; this array can be empty on failure.
Exceptions
ExceptionCondition
ArgumentNullExceptionIf surfaceA or surfaceB are null.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also